<?php declare(strict_types=1);

namespace App\Repository;

use Doctrine\ORM\EntityRepository;
use Doctrine\ORM\Query;

class BrandRepository extends EntityRepository {
	public function filterByCategory(string $category): Query
	{
		$em = $this->getEntityManager();
		$query = $em->createQuery("
			SELECT b FROM App\Entity\Brand b
			INNER JOIN b.categories c WHERE c.name = ?1
			ORDER BY b.name ASC
		");
		$query->setParameter(1, $category);

		return $query->execute();
	}
}
